## org.apache.taglibs.standard.lang.jstl.test
Class Bean2Editor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.apache.taglibs.standard.lang.jstl.test.Bean2Editor

All Implemented Interfaces:
  PropertyEditor

    public class Bean2Editor

extends PropertyEditorSupport

PropertyEditor for parsing Bean2

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`Bean2Editor()`

Method Summary
`void` `setAsText(String pText)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getAsText, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bean2Editor

    public Bean2Editor()

Method Detail

### setAsText

    public void setAsText(String pText)
                   throws IllegalArgumentException

  Specified by:
    `setAsText` in interface `PropertyEditor`
  Overrides:
    `setAsText` in class `PropertyEditorSupport`
  Throws:
    `IllegalArgumentException`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.